#!/bin/bash
exec > >(tee test.log)
echo "--------------------------------------"
set -x
dmesg
sudo cat /var/log/cloud-init.log
sudo cat /var/lib/waagent.log
sudo cat /var/lib/waagent/ovf-env.xml
set -x
echo "--------------------------------------"

PYTHON=$(basename "$(head -n1 "$(which cloud-init)" | cut -d\! -f2)")
sudo apt-get -y update
sudo apt-get -y install $PYTHON-nose bzr

[ -e /tmp/jenkins_kvm ] && rm -rf /tmp/jenkins_kvm
bzr branch http://bazaar.launchpad.net/~ubuntu-on-ec2/vmbuilder/jenkins_kvm \
    /tmp/jenkins_kvm

cd /tmp/jenkins_kvm/tests

echo "--------------------------------------"
if which nosetests3 > /dev/null; then
    nosetests3 test-azure.py
else
    nosetests test-azure.py
fi
echo "status=$?"
echo "--------------------------------------"
